#!/usr/bin/perl -w
####### BEGIN CONFIG SECTION ######
$ship = 'RR';
$base = "/Volumes/dataA2/project/CTD_ftp/CTD_Data/2006/0610RR";
@paths = ("$base/processed/Downcast_db",
	  "$base/processed/Downcast_asc-hdr",
	  "$base/processed/Downcast_plots",
	  "$base/processed/Upcast_asc-hdr",
	  "$base/processed/Upcast_db",
	  "$base/processed/Upcast_plots",
	  "$base/raw_data");

####### END CONFIG SECTION #######
open(OUT,">FileChange.csv") || die $!;

while (defined($next = <$paths[0]/*.csv>)) {
	@vals = split(/\//,$next);
	$file = $vals[$#vals];
	#$castNum = substr($file,5,3);
	#$cruise = substr($file,1,4);
	open(INFILE,"<".$paths[0].'/'.$file) or die "can't open $file: $!\n";
	while (<INFILE>) {
		$line = $_;
		last if ($. >= 2);
	}
	close INFILE;
	@fields = split(/,/,$line);
	$castNum = sprintf('%03.0f',$fields[2]);
	$cruise = substr($fields[1],0,4);
	($li,$dli,$st,$dst) = unpack("A3 x1 A1 x1 A3 x1 A1",$fields[8]);

	#$oldFile[0] = $paths[0] . '/' .$vals[$#vals];
	$oldFile[1] = $paths[1] . '/d'. $cruise . $castNum . 'd.asc';
	$oldFile[2] = $paths[1] . '/d'. $cruise . $castNum . 'd.hdr';
	#$oldFile[3] = $paths[2] . '/'. $cruise . $ship . $castNum . 'DownCast.pdf';
	#$oldFile[4] = $paths[2] . '/'. $cruise . $ship . $castNum . 'DownCast.png';

	$oldFile[5] = $paths[3] . '/u'. $cruise . $castNum . 'd.asc';
	$oldFile[6] = $paths[3] . '/u'. $cruise . $castNum . 'd.hdr';
	#$oldFile[7] = $paths[4] . '/u'. $cruise . $castNum . '_db.csv';
	#$oldFile[8] = $paths[5] . '/'. $cruise . $ship . $castNum . 'UpCast.pdf';
	#$oldFile[9] = $paths[5] . '/'. $cruise . $ship . $castNum . 'UpCast.png';
	$oldFile[10] = $paths[6] . '/'. $cruise . $castNum . '.ZIP';
	
	$oldAsc[0] = 'd'.$cruise.$castNum.'.asc';
	$oldAsc[1] = 'u'.$cruise.$castNum.'.asc';
	$newAsc[0] = $cruise.'_'.$li.$dli.$st.$dst.'d.asc';
	$newAsc[1] = $cruise.'_'.$li.$dli.$st.$dst.'u.asc';
	print OUT $oldAsc[0] . "," . $newAsc[0]."\n";
	print OUT $oldAsc[1] . "," . $newAsc[1]."\n";

	#$newFile[0] = $paths[0] . '/' . $cruise."_".$li.$dli.$st.$dst."d.csv";
	$newFile[1] = $paths[1] . '/' . $cruise."_".$li.$dli.$st.$dst."d.asc";
	$newFile[2] = $paths[1] . '/' . $cruise."_".$li.$dli.$st.$dst."d.hdr";
	#$newFile[3] = $paths[2] . '/' . $cruise."_".$li.$dli.$st.$dst."d.pdf";
	#$newFile[4] = $paths[2] . '/' . $cruise."_".$li.$dli.$st.$dst."d.png";
	$newFile[5] = $paths[3] . '/' . $cruise."_".$li.$dli.$st.$dst."u.asc";
	$newFile[6] = $paths[3] . '/' . $cruise."_".$li.$dli.$st.$dst."u.hdr";
	#$newFile[7] = $paths[4] . '/' . $cruise."_".$li.$dli.$st.$dst."u.csv";
	#$newFile[8] = $paths[5] . '/' . $cruise."_".$li.$dli.$st.$dst."u.pdf";
	#$newFile[9] = $paths[5] . '/' . $cruise."_".$li.$dli.$st.$dst."u.png";
	$newFile[10] = $paths[6] . '/' . $cruise."_".$li.$dli.$st.$dst.".ZIP";

	foreach $i (1,2,5,6,10) {
		#print $oldFile[$i] . " is being renamed to " . $newFile[$i] . "\n";
		rename($oldFile[$i], $newFile[$i]);
	} 
}
